Bug 1284337 - script to migrate seealso data to external trackers
script to migrate seealso data to external trackers
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
5.0
Unspecified Unspecified
high Severity urgent (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 23:52 EST by Jeff Fearn
Modified: 2016-04-18 01:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-18 01:01:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2015-11-22 23:52:31 EST
Description of problem:
SeeALso will be disabled in BZ5 so seealso data needs to be moved to the External Trackers.

Update the redhat/upgrades/bz5-cleanup.pl script with this.
Comment 1 Jeff Fearn 2015-11-23 19:36:14 EST
After doing some analysis of the DB I think we should reconsider doing this.

Almost all of the links in the seealso field are internal bugzilla links.

bugs=> select count(*) from bug_see_also;
 count 
-------
 27594
(1 row)


bugs=> select class, count(*) from bug_see_also group by class order by count;
                  class                   | count 
------------------------------------------+-------
 Bugzilla::Extension::MoreBugUrl::RT      |     2
 Bugzilla::BugUrl::SourceForge            |     3
 Bugzilla::BugUrl::MantisBT               |     9
 Bugzilla::BugUrl::Debian                 |    12
 Bugzilla::Extension::MoreBugUrl::Redmine |    19
 Bugzilla::BugUrl::Google                 |    22
 Bugzilla::BugUrl::Trac                   |    23
 Bugzilla::BugUrl::GitHub                 |    57
 Bugzilla::BugUrl::Launchpad              |    96
 Bugzilla::BugUrl::JIRA                   |   407
 Bugzilla::BugUrl::Bugzilla               |  5803
 Bugzilla::BugUrl::Bugzilla::Local        | 21141



Where as almost no one does that kind of link using ETs.


bugs=> select count(*) from ext_bz_bug_map;
 count  
--------
 196065
(1 row)

bugs=> select description, count(\*)  from external_bugzilla left join ext_bz_bug_map on external_bugzilla.id = ext_bz_id group by description,ext_bz_id order by count;
--snip
 Red Hat Bugzilla                  |  1302


Some of the bugs have a lot of seealso links, which maybe a very bad user experience.

bugs=> select bug_id, count(*) from ext_bz_bug_map group by bug_id order by count desc limit 20;
 bug_id  | count 
---------+-------
 1185826 |   285
     100 |    98
  615688 |    76
 1098208 |    72
  767218 |    71
 1075985 |    68
 1082467 |    68
  766051 |    67
 1134115 |    62
  798792 |    60
 1146319 |    57
 1022460 |    56
 1120720 |    55
  993100 |    54
  887006 |    54
 1247383 |    53
  836748 |    52
 1193639 |    50
  908990 |    49
 1016472 |    48
(20 rows)

If we decide not to do this then we should use this bug for re-adding the MoreBugUrl extension.

If we decide to still do this then we need to think about how to style the ET table so it's not awful with a lot of links.
Comment 3 Hui Wang 2016-03-29 03:06:45 EDT
All of the seealso data that's supported by ET has been migrated to ET.
But what's the plan for some seealso data that ET doesn't support? 
If you have plan, pls file RFE bug to track and I will change the status to VERIFIED for this issue. If you have no plan, I propose to left this issue as Assign to track the following plan.
Comment 4 Jeff Fearn 2016-03-29 17:30:56 EDT
(In reply to Hui Wang from comment #3)
> All of the seealso data that's supported by ET has been migrated to ET.
> But what's the plan for some seealso data that ET doesn't support? 
> If you have plan, pls file RFE bug to track and I will change the status to
> VERIFIED for this issue. If you have no plan, I propose to left this issue
> as Assign to track the following plan.

The plan is to leave them as they are and not allow any more to be added.

If enough users ask for a specific site to be supported then that site will be added and any existing ETs will be migrated. There are already a few of these user requests open. e.g. 1281880
Comment 5 Hui Wang 2016-03-29 21:40:22 EDT
Verified this issue.
Version: 5.0.2.rh2
All of the seealso data that's supported by ET has been migrated to ET.

Note You need to log in before you can comment on or make changes to this bug.